Download invites
POST
/download-invite-collection
const url = 'https://registry.rex.dynata.com/download-invite-collection';const options = { method: 'POST', headers: { 'dynata-expiration': '2026-04-15T12:00:00Z', 'dynata-access-key': 'ADSF23ADF354GFDDS23', 'dynata-signature': 'dsklj435kljhfdSAFdsalk34', 'Content-Type': 'application/json' }, body: '{"id":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://registry.rex.dynata.com/download-invite-collection \ --header 'Content-Type: application/json' \ --header 'dynata-access-key: ADSF23ADF354GFDDS23' \ --header 'dynata-expiration: 2026-04-15T12:00:00Z' \ --header 'dynata-signature: dsklj435kljhfdSAFdsalk34' \ --data '{ "id": "example" }'Download all invites for invite collections or static invite collections.
Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”dynata-expiration
required
string format: date-time
RFC3339 timestamp indicating request expiration
dynata-access-key
required
string
Dynata provided access key
Example
ADSF23ADF354GFDDS23dynata-signature
required
string
Signature created using the Dynata methodology
Example
dsklj435kljhfdSAFdsalk34Request Body
Section titled “Request Body”Media typeapplication/json
object
id
The invite collection identifier
string
Examplegenerated
{ "id": "example"}Responses
Section titled “Responses”List of all invite notifications for account in csv format
id,collection_id,respondent_id,expiration,created,modified
4,618400,2792483702,2023-05-10T00:55:32.344Z,2023-01-24T18:14:45.694610Z,2023-01-19T13:13:31.167732Z
3,618400,2792483701,2023-05-10T00:55:32.344Z,2023-01-24T18:16:12.189727Z,2023-01-19T13:13:10.971150Z
5,618400,2792483703,2023-05-10T00:55:32.344Z,2023-01-19T13:13:51.891820Z,2023-01-19T13:13:51.891820Z
Headers
Section titled “Headers”status
string
Transfer-Encoding
string
Chunked
Processing time will vary by
invite collection.
The fetched invite collection is being processed. Try again in 5 to 10 seconds.
Headers
Section titled “Headers”status
string
Bad request
Media typeapplication/json
object
message
required
A human readable description of the error
string
Examplegenerated
{ "message": "example"}Invalid credentials
Media typeapplication/json
object
message
required
A human readable description of the error
string
Examplegenerated
{ "message": "example"}Unauthorized
Media typeapplication/json
object
message
required
A human readable description of the error
string
Examplegenerated
{ "message": "example"}Invite collection not found
Media typeapplication/json
object
error
required
string
Example
{ "error": "invite collection with id {invite_collection_id} was not found"}Internal server error
Media typeapplication/json
object
message
required
A human readable description of the error
string
Examplegenerated
{ "message": "example"}Headers
Section titled “Headers”status
string